Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 31 Jul 2014, 01:31
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Security/Privacy
How to install Ettercap man-in-the-middle suite?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
GLAMEOW


Joined: 20 May 2010
Posts: 2
Location: on the internet

PostPosted: Thu 20 May 2010, 20:01    Post subject:  How to install Ettercap man-in-the-middle suite?
Subject description: for, em... testing
 

As an Ubuntu and windows user, i have had no problem installing Ettercap (a suite for man in the middle attacks on LAN.) But Puppy seems to not have a pre-complied Ettercap binary. I would love if someone could show me where i could pick up Ettercap for Puppy, as i can't go compiling due to my low computer specs (see sig). I have absolutely no complaints on this OS, as it is one of the only ones that enable me to actually use this outdated lappy.
_________________
www.tremulous.net


My specs:

IBM Thinkpad 240X-61U
Pentium 3
64mb RAM
Puppy Linux
Back to top
View user's profile Send private message 
admiralspark

Joined: 07 Apr 2010
Posts: 11

PostPosted: Sat 05 Jun 2010, 10:12    Post subject:  

For those interested in compiling (this should be in requests forum?)
REQUIRED LIBRARIES:
libpcap >= 0.8.1
libnet >= 1.1.2.1
libpthread
zlib

OPTIONAL LIBRARIES:
To enable plugins: libltdl (part of libtool)
To have perl regexp in the filters: libpcre
To support SSH and SSL decryption: openssl 0.9.7
For the cursed GUI: ncurses >= 5.3
For the GTK+ GUI: pkgconfig >= 0.15.0 and:
- Glib >= 2.4.x
- Gtk+ >= 2.4.x
- Atk >= 1.6.x
- Pango >= 1.4.x
If you want SSH1 and/or HTTPS support, ettercap requires OpenSSL libraries

And, lets face it, Ettercap is alot more useful with the optional libraries.

Ettercap's latest source code is 1.1MB.
Website
Back to top
View user's profile Send private message 
thefixer


Joined: 20 Jul 2010
Posts: 50

PostPosted: Tue 20 Jul 2010, 22:52    Post subject: Ettercap for Puppy PET plz
Subject description: plz
 

I agree this would be nice to see available as an SH or PET file for puppy.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Security/Privacy
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0439s ][ Queries: 11 (0.0065s) ][ GZIP on ]